Loading...
Searching...
No Matches
Opm::PackUnPackCellData Class Reference
Inheritance diagram for Opm::PackUnPackCellData:

## Public Member Functions

| PackUnPackCellData (const data::Solution &localCellData, data::Solution &globalCellData, const IndexMapType &localIndexMap, const IndexMapStorageType &indexMaps, std::size_t globalSize, bool isIORank)
void | pack (int link, MessageBufferType &buffer)
void | doUnpack (const IndexMapType &indexMap, MessageBufferType &buffer)
void | unpack (int link, MessageBufferType &buffer)

## Protected Member Functions

template<class Vector>
void | write (MessageBufferType &buffer, const IndexMapType &localIndexMap, const Vector &vector, unsigned int offset=0, unsigned int stride=1) const
template<class Vector>
void | read (MessageBufferType &buffer, const IndexMapType &indexMap, Vector &vector, unsigned int offset=0, unsigned int stride=1) const

The documentation for this class was generated from the following file:

- opm/simulators/flow/CollectDataOnIORank_impl.hpp